
/* $Id: cpd_proto.h,v 3.41 1999/11/09 21:31:52 kohl Exp $ */


/*
 *                      CUMULVS version 1.0:
 *      Computational Steering and Interactive Visualization
 *                   in Distributed Applications
 *           Oak Ridge National Laboratory, Oak Ridge TN.
 *      Authors:  James Arthur Kohl and Philip M. Papadopoulos
 *                   (C) 1996 All Rights Reserved
 *
 *                              NOTICE
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for any purpose and without fee is hereby granted
 * provided that the above copyright notice appear in all copies and
 * that both the copyright notice and this permission notice appear
 * in supporting documentation.
 *
 * Neither the Institution, Oak Ridge National Laboratory, nor the
 * Authors make any representations about the suitability of this
 * software for any purpose.  This software is provided ``as is''
 * without express or implied warranty.
 *
 * CUMULVS was funded by the U.S. Department of Energy.
 */


#ifndef _CPD_PROTO_H_

#define _CPD_PROTO_H_


/* Defines for CUMULVS Checkpointing */


#ifdef __cplusplus
extern "C" {
#endif


/* CPD Routine Declarations */

CPD_APPPTR	cpd_create_app_entry __STV_Prototype__(( char * ));

CPD_APPPTR	cpd_findapp __STV_Prototype__(( char *, int, int, int ));

CPD_APPPTR	cpd_find_tid __STV_Prototype__(( int ));


CPD_DATAPTR	cpd_create_data __STV_Prototype__(( void ));


CPD_PARTICLE_COORDS
			cpd_create_particle_coords __STV_Prototype__(( void ));


CPD_PARTICLE_DATA
			cpd_create_particle_data __STV_Prototype__(( void ));


CPD_PEERPTR	cpd_create_peer_entry __STV_Prototype__(( int, int, int ));

CPD_PEERPTR	cpd_find_peer_entry __STV_Prototype__(( CPD_PEERPTR, int ));


CPD_RECONFIG_DATA
			cpd_create_reconfig_data __STV_Prototype__(( void ));


CPD_RECONFIG_REGION
			cpd_create_reconfig_region __STV_Prototype__(( void ));


CPD_TASKPTR	cpd_create_task_entry __STV_Prototype__(( int, int,
					STV_FIELDPTR *, int, STV_PARAMPTR *, int ));

CPD_TASKPTR	cpd_find_task_entry __STV_Prototype__(( CPD_TASKPTR, int ));


void		cpd_build_peer_list __STV_Prototype__(( void ));

void		cpd_check_and_do_download __STV_Prototype__(( CPD_APPPTR ));

void		cpd_commit __STV_Prototype__(( CPD_APPPTR ));

void		cpd_free_data __STV_Prototype__(( CPD_DATAPTR * ));

void		cpd_free_data_list __STV_Prototype__(( CPD_DATAPTR * ));

void		cpd_free_particle_coords __STV_Prototype__((
					CPD_PARTICLE_COORDS * ));

void		cpd_free_particle_data __STV_Prototype__((
					CPD_PARTICLE_DATA * ));

void		cpd_free_reconfig_data __STV_Prototype__((
					CPD_RECONFIG_DATA * ));

void		cpd_free_reconfig_region __STV_Prototype__((
					CPD_RECONFIG_REGION * ));

void		cpd_free_reconfig_region_list __STV_Prototype__((
					CPD_RECONFIG_REGION * ));

void		cpd_get_glob_list __STV_Prototype__(( CPD_APPPTR ));

void		stv_pack_and_send_checkpoint __STV_Prototype__((
					int, int, int, int, int, STV_PARAMPTR, int,
					STV_FIELDPTR, int ));

void		cpd_requestCheckpoint __STV_Prototype__(( void ));

void		cpd_restart __STV_Prototype__(( CPD_APPPTR, int ));

void		cpd_shutdown __STV_Prototype__(( void ));


int			cpd_add_to_peer_list __STV_Prototype__(( int, int ));

int			cpd_bcast_to_peers __STV_Prototype__(( int, int, int,
					char * ));

int			cpd_check_peer_count __STV_Prototype__(( CPD_APPPTR ));

int			cpd_check_reconfig __STV_Prototype__(( CPD_APPPTR,
					CPD_TASKPTR ));

int			cpd_create_chk_file __STV_Prototype__(( CPD_APPPTR,
					int, int, char *, char * ));

int			cpd_create_peer_list __STV_Prototype__(( CPD_PEERPTR *,
					int, int ));

int			cpd_create_task_list __STV_Prototype__(( CPD_TASKPTR * ));

int			cpd_define_message_handlers __STV_Prototype__(( void ));

int			cpd_delete_app_entry __STV_Prototype__(( CPD_APPPTR * ));

int			cpd_download_data __STV_Prototype__(( CPD_DATAPTR *,
					STV_PARAMPTR, int, STV_PARTICLEPTR, int,
					STV_FIELDPTR, int ));

int			cpd_enroll __STV_Prototype__(( int, int * ));

int			cpd_extract_checkpoint_data __STV_Prototype__(( int, int ));

int			cpd_extract_reconfig_data __STV_Prototype__((
					int, CPD_RECONFIG_REGION, int,
					STV_PARAMPTR *, int *,
					CPD_RECONFIG_DATA *, int * ));

int			cpd_forwardHeader __STV_Prototype__(( CPD_APPPTR,
					int, int ));

int			cpd_forwardSend __STV_Prototype__(( int ));

int			cpd_generate_reconfig_regions __STV_Prototype__((
					CPD_TASKPTR ));

int			cpd_get_reconfig_offset __STV_Prototype__((
					CPD_RECONFIG_DATA, STV_FIELDPTR, STV_DECOMPPTR,
					int * ));

int			cpd_global_to_local_index __STV_Prototype__((
					STV_FIELDPTR, STV_DECOMPPTR, int, int ));

int			cpd_incr_reconfig_region __STV_Prototype__(( STV_REGION,
					STV_FIELDPTR, STV_DECOMPPTR ));

int			cpd_init_reconfig_chkpt __STV_Prototype__(( CPD_TASKPTR ));

int			cpd_integrate_reconfig_data __STV_Prototype__(( CPD_TASKPTR,
					STV_PARAMPTR, int, CPD_RECONFIG_DATA, int ));

int			cpd_is_peer __STV_Prototype__(( int ));

int			cpd_kill_local_tasks_for_restart __STV_Prototype__((
					CPD_APPPTR ));

int			cpd_map_local __STV_Prototype__(( CPD_APPPTR,
					int, int, int ));

int			cpd_nactive __STV_Prototype__(( void ));

int			cpd_node_data_buf __STV_Prototype__(( int, int ));

int			cpd_open __STV_Prototype__(( char *, long * ));

int			cpd_pack_checkpoint_data __STV_Prototype__((
					CPD_HOLE *, int,
					STV_PARAMPTR, int, STV_PARTICLEPTR, int,
					STV_FIELDPTR, int ));

int			cpd_pack_reconfig_data __STV_Prototype__(( int,
					STV_PARAMPTR, int, CPD_RECONFIG_DATA, int ));

int			cpd_pack_reconfig_regions __STV_Prototype__((
					int, CPD_TASKPTR ));

int			cpd_protoAppFinished __STV_Prototype__(( STV_BUFPTR ));

int			cpd_protoCheckpointDataSubmit __STV_Prototype__((
					STV_BUFPTR ));

int			cpd_protoCheckpointForward __STV_Prototype__((
					STV_BUFPTR ));

int			cpd_protoCpdAout __STV_Prototype__(( STV_BUFPTR ));

int			cpd_protoCpdBootstrap __STV_Prototype__(( STV_BUFPTR ));

int			cpd_protoCpdCheckpointStable __STV_Prototype__((
					STV_BUFPTR ));

int			cpd_protoCpdFileList __STV_Prototype__(( STV_BUFPTR ));

int			cpd_protoCpdListFiles __STV_Prototype__(( STV_BUFPTR ));

int			cpd_protoCpdNewPeer __STV_Prototype__(( STV_BUFPTR ));

int			cpd_protoCpdNotify __STV_Prototype__(( STV_BUFPTR ));

int			cpd_protoCpdPeerFailed __STV_Prototype__(( STV_BUFPTR ));

int			cpd_protoCpdReconfigReply __STV_Prototype__(( STV_BUFPTR ));

int			cpd_protoCpdReconfigRqst __STV_Prototype__(( STV_BUFPTR ));

int			cpd_protoCpdSpawn __STV_Prototype__(( STV_BUFPTR ));

int			cpd_protoCpdStabilizeReply __STV_Prototype__((
					STV_BUFPTR ));

int			cpd_protoCpdStabilizeRqst __STV_Prototype__(( STV_BUFPTR ));

int			cpd_protoCpdUserNotifyInfo __STV_Prototype__((
					STV_BUFPTR ));

int			cpd_protoCpdVerifyAppFinished __STV_Prototype__((
					STV_BUFPTR ));

int			cpd_protoCpdVerifyCheckpointRelease __STV_Prototype__((
					STV_BUFPTR ));

int			cpd_protoRequestCheckpoint __STV_Prototype__((
					STV_BUFPTR ));

int			cpd_protoRequestWhole __STV_Prototype__(( STV_BUFPTR ));

int			cpd_protoRestart __STV_Prototype__(( STV_BUFPTR ));

int			cpd_protoSenderFailed __STV_Prototype__(( STV_BUFPTR ));

int			cpd_protoWholeCheckpoint __STV_Prototype__(( STV_BUFPTR ));

int			cpd_read_header __STV_Prototype__(( int, CPD_HEADERPTR ));

int			cpd_receive_checkpoint_data __STV_Prototype__(( int,
					CPD_DATAPTR * ));

int			cpd_record_peer __STV_Prototype__(( CPD_PEERPTR,
					int, int, int ));

int			cpd_release_locl __STV_Prototype__(( CPD_APPPTR, int ));

int			cpd_requestWholeFromServer __STV_Prototype__(( CPD_APPPTR,
					int, int ));

int			cpd_send_spawn_to_peer __STV_Prototype__(( CPD_APPPTR,
					int, int ));

int			cpd_send_to_peer __STV_Prototype__(( int, int, int, int,
					char * ));

int			cpd_sendCheckpointRelease __STV_Prototype__(( CPD_APPPTR ));

int			cpd_sendCheckpointToNode __STV_Prototype__(( int,
					CPD_APPPTR, CPD_TASKPTR ));

int			cpd_server __STV_Prototype__(( void ));

int			cpd_spawn_cpd __STV_Prototype__(( char * ));

int			cpd_stabilize_checkpoint __STV_Prototype__(( CPD_APPPTR ));

int			cpd_start_new_cpd __STV_Prototype__(( int, CPD_PEERPTR ));

int			cpd_unpack_checkpoint_data __STV_Prototype__((
					int, int, int ));

int			cpd_unpack_reconfig_data __STV_Prototype__(( int,
					STV_PARAMPTR *, int *,
					CPD_RECONFIG_DATA *, int * ));

int			cpd_unpack_reconfig_regions __STV_Prototype__((
					int, CPD_RECONFIG_REGION *, int * ));

int			cpd_verify_checkpoint_release __STV_Prototype__((
					CPD_APPPTR ));

int			cpd_write_str __STV_Prototype__(( int, char * ));

int			cpd_write_hdr __STV_Prototype__(( int, CPD_HEADERPTR,
					int ));

int			stv_aout_restart __STV_Prototype__(( char * ));

int			stv_checkpoint __STV_Prototype__(( void ));

int			stv_client_notify __STV_Prototype__(( int, int ));

int			stv_cpFinished __STV_Prototype__(( void ));

int			stv_cpInit __STV_Prototype__(( char *, int, int * ));

int			stv_cpdtid __STV_Prototype__(( void ));

int			stv_find_cpd __STV_Prototype__(( void ));

int			stv_generation __STV_Prototype__(( void ));

int			stv_get_checkpoint __STV_Prototype__(( void ));

int			stv_isCpRestart __STV_Prototype__(( void ));

int			stv_load_checkpoint __STV_Prototype__(( void ));

int			stv_loadFromCP __STV_Prototype__(( void ));

int			stv_protoAppRelease __STV_Prototype__(( STV_BUFPTR ));

int			stv_protoCheckpointDataUpdate __STV_Prototype__((
					STV_BUFPTR ));

int			stv_protoCheckpointRelease __STV_Prototype__((
					STV_BUFPTR ));

int			stv_protoConfigCpd __STV_Prototype__(( STV_BUFPTR ));

int			stv_protoCpdHalt __STV_Prototype__(( STV_BUFPTR ));

int			stv_protoCpdNproc __STV_Prototype__(( STV_BUFPTR ));

int			stv_protoCpdUlibNotify __STV_Prototype__(( STV_BUFPTR ));

int			stv_protoCpdXon __STV_Prototype__(( STV_BUFPTR ));

int			stv_protoRestart __STV_Prototype__(( STV_BUFPTR ));

int			stv_restartFromCp __STV_Prototype__(( void ));

int			stv_waitForCpdXon __STV_Prototype__(( void ));


#ifdef __cplusplus
}
#endif


/* _CPD_PROTO_H_ */
#endif

