
C $Id: fstv.h,v 3.18 1999/06/25 19:50:32 kohl Exp $


C
C                       CUMULVS version 1.0:
C       Computational Steering and Interactive Visualization
C                    in Distributed Applications
C            Oak Ridge National Laboratory, Oak Ridge TN.
C       Authors:  James Arthur Kohl and Philip M. Papadopoulos
C                    (C) 1996 All Rights Reserved
C
C                               NOTICE
C
C  Permission to use, copy, modify, and distribute this software and
C  its documentation for any purpose and without fee is hereby granted
C  provided that the above copyright notice appear in all copies and
C  that both the copyright notice and this permission notice appear
C  in supporting documentation.
C
C  Neither the Institution, Oak Ridge National Laboratory, nor the
C  Authors make any representations about the suitability of this
C  software for any purpose.  This software is provided ``as is''
C  without express or implied warranty.
C
C  CUMULVS was funded by the U.S. Department of Energy.
C


C  Fortran Defines for CUMULVS steering and visualization


C -- Declared limits

       INTEGER STV_MAX_DIM


C - Constants

       INTEGER STVDEBUGMSG
       INTEGER STVDEBUGSPAWN
       INTEGER STVDEBUGULIB
       INTEGER STVDEBUGFLUSH
       INTEGER STVDEBUGNOTIFY
       INTEGER STVDEBUGMEM
       INTEGER STVDEBUGTIME
       INTEGER STVDEBUGFREQ
       INTEGER STVDEBUGPACK
       INTEGER STVDEBUGPACKINDEX
       INTEGER STVDEBUGVIEWER
       INTEGER STVDEBUGSTEER
       INTEGER STVDEBUGAPPINFO
       INTEGER STVDEBUGCPD
       INTEGER STVDEBUGRESTART
       INTEGER STVDEBUGREGION
       INTEGER STVDEBUGCKPT
       INTEGER STVDEBUGCKPTDATA
       INTEGER STVDEBUGALL

       INTEGER STVSTATUSOK
       INTEGER STVSTATUSBADFRAME
       INTEGER STVSTATUSINCOMPLETE
       INTEGER STVSTATUSNOMEM
       INTEGER STVSTATUSBADPARAM
       INTEGER STVSTATUSSYSFAIL
       INTEGER STVSTATUSBAIL
       INTEGER STVSTATUSRECONFIGURE
       INTEGER STVSTATUSDISCONNECT
       INTEGER STVSTATUSCPDDUPSERVER

       INTEGER STVDEFAULT

       INTEGER STVBLOCK
       INTEGER STVCYCLIC
       INTEGER STVEXPLICIT
       INTEGER STVCOLLAPSE

       INTEGER STVTIMEPICOSEC
       INTEGER STVTIMENANOSEC
       INTEGER STVTIMEMICROSEC
       INTEGER STVTIMEMILLISEC
       INTEGER STVTIMESEC
       INTEGER STVTIMEMIN
       INTEGER STVTIMEHOUR
       INTEGER STVTIMEDAY
       INTEGER STVTIMEWEEK
       INTEGER STVTIMEYEAR
       INTEGER STVTIMEDECADE
       INTEGER STVTIMECENTURY

       INTEGER STVVISONLY
       INTEGER STVCPONLY
       INTEGER STVVISCP

       INTEGER STVFALSE
       INTEGER STVTRUE

       INTEGER STVTERSE
       INTEGER STVVERBOSE

       INTEGER STVSENDDEFAULT
       INTEGER STVSENDNOFIELDTIMEUPDATES

       INTEGER STVOPTALL
       INTEGER STVOPTNULL
       INTEGER STVOPTFULLUNPACK
       INTEGER STVOPTVERBOSE
       INTEGER STVOPTDUMPALL
       INTEGER STVOPTDUMP
       INTEGER STVOPTFIELDSTORAGE
       INTEGER STVOPTAPPLOCK
       INTEGER STVOPTCPRECOVERY
       INTEGER STVOPTFIELDTIMESCALE
       INTEGER STVOPTSETFIELDTIME
       INTEGER STVOPTINCRFIELDTIME
       INTEGER STVOPTFIELDREADY

       INTEGER STVOPTCPRESTART
       INTEGER STVOPTCPROLLBACK

       INTEGER STVRESTART

       INTEGER STVDEFAULTINFO
       INTEGER STVLOCALARRAY

       INTEGER STVNOFIELDOFFSETS

C - Data Types

       INTEGER STVSTR, STVBYTE, STVSHORT, STVINT, STVFLOAT, STVCPLX
       INTEGER STVDOUBLE, STVDCPLX,STVLONG, STVUSHORT, STVUINT, STVULONG


C - Set Constants Values

       PARAMETER( STV_MAX_DIM = 3 )

       PARAMETER( STVDEBUGMSG = 1 )
       PARAMETER( STVDEBUGSPAWN = 2 )
       PARAMETER( STVDEBUGULIB = 4 )
       PARAMETER( STVDEBUGFLUSH = 8 )
       PARAMETER( STVDEBUGNOTIFY = 16 )
       PARAMETER( STVDEBUGMEM = 32 )
       PARAMETER( STVDEBUGTIME = 64 )
       PARAMETER( STVDEBUGFREQ = 128 )
       PARAMETER( STVDEBUGPACK = 256 )
       PARAMETER( STVDEBUGPACKINDEX = 512 )
       PARAMETER( STVDEBUGVIEWER = 1024 )
       PARAMETER( STVDEBUGSTEER = 2048 )
       PARAMETER( STVDEBUGAPPINFO = 4096 )
       PARAMETER( STVDEBUGCPD = 8192 )
       PARAMETER( STVDEBUGRESTART = 16384 )
       PARAMETER( STVDEBUGREGION = 32768 )
       PARAMETER( STVDEBUGCKPT = 65536 )
       PARAMETER( STVDEBUGCKPTDATA = 131072 )

       PARAMETER( STVDEBUGALL = 262143 )

       PARAMETER( STVSTATUSOK = 0 )
       PARAMETER( STVSTATUSBADFRAME = -1 )
       PARAMETER( STVSTATUSINCOMPLETE = -2 )
       PARAMETER( STVSTATUSNOMEM = -3 )
       PARAMETER( STVSTATUSBADPARAM = -4 )
       PARAMETER( STVSTATUSSYSFAIL = -5 )
       PARAMETER( STVSTATUSBAIL = -6 )
       PARAMETER( STVSTATUSRECONFIGURE = -7 )
       PARAMETER( STVSTATUSDISCONNECT = -8 )
       PARAMETER( STVSTATUSCPDDUPSERVER = -9 )

       PARAMETER( STVDEFAULT = -1 )

       PARAMETER( STVBLOCK = 1 )
       PARAMETER( STVCYCLIC = 2 )
       PARAMETER( STVEXPLICIT = 3 )
       PARAMETER( STVCOLLAPSE = 4 )

       PARAMETER( STVTIMEPICOSEC = 1073741824 )
       PARAMETER( STVTIMENANOSEC = 1140850688 )
       PARAMETER( STVTIMEMICROSEC = 1207959552 )
       PARAMETER( STVTIMEMILLISEC = 1275068416 )
       PARAMETER( STVTIMESEC = 1342177280 )
       PARAMETER( STVTIMEMIN = 1409286144 )
       PARAMETER( STVTIMEHOUR = 1476395008 )
       PARAMETER( STVTIMEDAY = 1543503872 )
       PARAMETER( STVTIMEWEEK = 1610612736 )
       PARAMETER( STVTIMEYEAR = 1677721600 )
       PARAMETER( STVTIMEDECADE = 1744830464 )
       PARAMETER( STVTIMECENTURY = 1811939328 )

       PARAMETER( STVVISONLY = 1 )
       PARAMETER( STVCPONLY = 2 )
       PARAMETER( STVVISCP = 3 )

       PARAMETER( STVFALSE = 0 )
       PARAMETER( STVTRUE = 1 )

       PARAMETER( STVTERSE = 0 )
       PARAMETER( STVVERBOSE = 1 )

       PARAMETER( STVSENDDEFAULT = 0 )
       PARAMETER( STVSENDNOFIELDTIMEUPDATES = 1 )

       PARAMETER( STVOPTALL = -2 )
       PARAMETER( STVOPTNULL = -1 )
       PARAMETER( STVOPTFULLUNPACK = 0 )
       PARAMETER( STVOPTVERBOSE = 1 )
       PARAMETER( STVOPTDUMPALL = 2 )
       PARAMETER( STVOPTDUMP = 3 )
       PARAMETER( STVOPTFIELDSTORAGE = 4 )
       PARAMETER( STVOPTAPPLOCK = 5 )
       PARAMETER( STVOPTCPRECOVERY = 6 )
       PARAMETER( STVOPTFIELDTIMESCALE = 7 )
       PARAMETER( STVOPTSETFIELDTIME = 8 )
       PARAMETER( STVOPTINCRFIELDTIME = 9 )
       PARAMETER( STVOPTFIELDREADY = 10 )

       PARAMETER( STVOPTCPRESTART = 1 )
       PARAMETER( STVOPTCPROLLBACK = 2 )

       PARAMETER( STVRESTART = 502 )

       PARAMETER( STVDEFAULTINFO = -1 )
       PARAMETER( STVLOCALARRAY = -1 )

       PARAMETER( STVNOFIELDOFFSETS = -1 )


C - Data Types

       PARAMETER( STVSTR = 0 )
       PARAMETER( STVBYTE = 1 )
       PARAMETER( STVSHORT = 2 )
       PARAMETER( STVINT = 3 )
       PARAMETER( STVFLOAT = 4 )
       PARAMETER( STVCPLX = 5 )
       PARAMETER( STVDOUBLE = 6 )
       PARAMETER( STVDCPLX = 7 )
       PARAMETER( STVLONG = 8 )
       PARAMETER( STVUSHORT = 9 )
       PARAMETER( STVUINT = 10 )
       PARAMETER( STVULONG = 11 )

