#
# $Id: Makefile.mak,v 3.5 2000/06/12 22:03:33 kohl Exp $
#


#
# Main Defines
#

#CFLAGS		=	-g

#FFLAGS		=	-g

SDIR		=	$(STV_ROOT)\src
OBJDIR		=	$(SDIR)\$(PVM_ARCH)

#
# Visualization System Selection
#

STV_VIS		=	NONE


#
# Message Passing System Selection
#

STV_MP		=	PVM


#
# Get Main STV Make Include File
#

!include $(STV_ROOT)\src\Makeincl_win32.stv


#
# Main Targets
#

default:  $(OBJDIR) libs

all:  libs cpdlibs

clean:
	- $(RM) $(OBJDIR)\*.obj
	- $(RM) $(STV_CLEAN)

veryclean:  clean
	- $(RM) $(STV_VERYCLEAN)


#
# STV Applications
#

libs:  $(STV_ULIB) $(STV_FULIB)

cpdlibs:  $(STV_CPDLIB) $(STV_FCPDLIB)

$(OBJDIR):
	@- $(MKDIR) $(OBJDIR)


#
# STV System Targets
#

$(STV_XDIR):
	@- $(MKDIR) $(STV_XDIR)


#
# STV Library Targets
#

$(STV_ULIB):  $(STV_LIBOBJS) $(STV_MP_LIBDEP)
	$(AR) $(AROPT) $(OUTBIN)$(STV_ULIB) $(STV_LIBOBJS)

$(STV_LDIR)\stv_ulib.obj:  $(STV_SRC)\stv_ulib.c $(STV_HEADERS)
	$(CC) $(STV_LCFLAGS) -c $(OUT)$(STV_LDIR)\stv_ulib.obj \
		$(STV_SRC)\stv_ulib.c

$(STV_LDIR)\stv_util.obj:  $(STV_SRC)\stv_util.c $(STV_HEADERS)
	$(CC) $(STV_LCFLAGS) -c $(OUT)$(STV_LDIR)\stv_util.obj \
		$(STV_SRC)\stv_util.c

$(STV_LDIR)\stv_msg.obj:  $(STV_SRC)\stv_msg.c $(STV_HEADERS)
	$(CC) $(STV_LCFLAGS) -c $(OUT)$(STV_LDIR)\stv_msg.obj \
		$(STV_SRC)\stv_msg.c

$(STV_LDIR)\stv_pack.obj:  $(STV_SRC)\stv_pack.c $(STV_HEADERS)
	$(CC) $(STV_LCFLAGS) -c $(OUT)$(STV_LDIR)\stv_pack.obj \
		$(STV_SRC)\stv_pack.c

$(STV_LDIR)\stv_particle.obj:  $(STV_SRC)\stv_particle.c $(STV_HEADERS)
	$(CC) $(STV_LCFLAGS) -c $(OUT)$(STV_LDIR)\stv_particle.obj \
		$(STV_SRC)\stv_particle.c

$(STV_LDIR)\stv_steer.obj:  $(STV_SRC)\stv_steer.c $(STV_HEADERS)
	$(CC) $(STV_LCFLAGS) -c $(OUT)$(STV_LDIR)\stv_steer.obj \
		$(STV_SRC)\stv_steer.c

$(STV_LDIR)\stv_mp.obj:  $(STV_SRC)\stv_mp.c $(STV_HEADERS)
	$(CC) $(STV_LCFLAGS) -c $(OUT)$(STV_LDIR)\stv_mp.obj \
		$(STV_SRC)\stv_mp.c

$(STV_LDIR)\stv_glob.obj:  $(STV_SRC)\stv_glob.c $(STV_HEADERS)
	$(CC) $(STV_LCFLAGS) -c $(OUT)$(STV_LDIR)\stv_glob.obj \
		$(STV_SRC)\stv_glob.c


#
# STV Fortran Library Targets
#

$(STV_FULIB):  $(STV_FLIBOBJS) $(STV_MP_LIBDEP)
	$(AR) $(AROPTS) $(OUTBIN)$(STV_FULIB) $(STV_FLIBOBJS)

$(STV_LDIR)\stvfulib.obj:  $(STV_LDIR)\stvfulib.c
	$(CC) $(STV_LCFLAGS) -c $(OUT)$(STV_LDIR)\stvfulib.obj \
		$(STV_LDIR)\stvfulib.c

