
/* $Id: stv_glob.h,v 3.24 2000/07/18 14:05:29 kohl Exp $ */


/*
 *                      CUMULVS version 1.0:
 *      Computational Steering and Interactive Visualization
 *                   in Distributed Applications
 *           Oak Ridge National Laboratory, Oak Ridge TN.
 *      Authors:  James Arthur Kohl and Philip M. Papadopoulos
 *                   (C) 1996 All Rights Reserved
 *
 *                              NOTICE
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for any purpose and without fee is hereby granted
 * provided that the above copyright notice appear in all copies and
 * that both the copyright notice and this permission notice appear
 * in supporting documentation.
 *
 * Neither the Institution, Oak Ridge National Laboratory, nor the
 * Authors make any representations about the suitability of this
 * software for any purpose.  This software is provided ``as is''
 * without express or implied warranty.
 *
 * CUMULVS was funded by the U.S. Department of Energy.
 */


/* STV Globals */


/* System Globals */

extern	STV_VIEW_FIELD_GROUP STV_STEER_VFG;

extern	STV_VIEW_FIELD_GROUP STV_SYNC_VFG;

extern	STV_CONTEXT STV_APP_CTX;
extern	STV_CONTEXT STV_CPD_CTX;
extern	STV_CONTEXT STV_VIEWER_CTX;

extern	struct timeval STV_TIMEOUT;

extern	char STVUSERAPPNAME[256];
extern	char STVSHADOWNAME[256];
extern	char STVAPPNAME[256];

extern	int STV_DUMMY_AXIS_INFO[3];
extern	int STV_DUMMY_AXIS_TYPE[3];

extern	int STV_APP_LOCK;
extern	int STV_APP_LOCK_HOLD;
extern	int STV_APP_LOCK_TIME;

extern	int STV_DEACTIVATED;

extern	int STV_FULLGROUP;

extern	int STV_GCOORD;

extern	int STV_MYNODEID;
extern	int STV_MYID;

extern	int STV_NTASKS;

extern	int STV_TIMESTAMP;

extern	int STV_CP_RECOVERY_HOLD;

extern	int STV_NRESTARTS;

extern	int STV_USERTAG;


/* Information Lists' Static Allocation */

extern	STV_VIEWER STVVIEWERS;
extern	int nSTVVIEWERS;

extern	STV_BUFFER STVBUFFERS;
extern	int nSTVBUFFERS;

extern	STV_HANDLER STVHANDLERS;
extern	int nSTVHANDLERS;

extern	STV_HANDLER STVNOTIFYHANDLERS;
extern	int nSTVNOTIFYHANDLERS;

extern	STV_MSG_PASS_THRU STVMSGPASSTHRUS;
extern	int nSTVMSGPASSTHRUS;

extern	STV_FIELD STVFIELDS;
extern	int nSTVFIELDS;

extern	STV_PARAM STVPARAMS;
extern	int nSTVPARAMS;

extern	STV_PARTICLE STVPARTICLES;
extern	int nSTVPARTICLES;


/* ID Counter Globals */

extern	int STV_VIEWER_ID;

extern	int STV_INIT_ID;

extern	int STV_NEXT_FGID;

extern	int STV_NEXT_REGION_ID;


/* Option Globals */

extern	int	STV_OPT_CP_RECOVERY;

extern	int STV_OPT_DUMP;

extern	int STV_OPT_DUMP_ALL;

extern	int STV_OPT_FULL_UNPACK;

extern	int STV_OPT_VERBOSE;


/* Global Temporary Storage for Macros */

extern	STV_CONTEXT STV_TMP_CTX;

extern	void *STV_TMP_PTR;

extern	int STV_TMP_CC;
extern	int STV_TMP_CC2;


/* Checkpointing Globals */

extern	CPD_DATAPTR CPDATA;

extern	int CPDTID;

extern	int nCPFIELDS;
extern	int nCPPARAMS;


/* Time Conversion Data */

extern	TIME_CONVERSION STV_TIME_CONV[];


/* Error Text Storage */

extern	char STVERRTXT[1024];

extern	char *STVERRNAMES[ -(stvStatusMax) ];

